import React from 'react';
import { ScrollViewProps, ViewStyle } from 'react-native';
declare const DraggableGridView: <T>(props: ScrollViewProps & {
    data: T[];
    listWidth?: number;
    itemHeight?: number;
    itemWidth?: number;
    isEditing: boolean;
    shouldVibrate?: boolean;
    shouldAnimOnRelease?: boolean;
    itemContainerStyle?: ViewStyle;
    animMoveDuration?: number;
    numColumns: number;
    debounce?: number | undefined;
    renderItem: ({ item, index }: {
        item: T;
        index: number;
    }) => React.ReactElement | null;
    keyExtractor: (item: T) => string;
    onStartDrag?: (index: number) => void;
    onEndDrag: (orderedData: T[], from: number, to: number) => void;
    onLongPress: () => void;
}) => JSX.Element;
export default DraggableGridView;
//# sourceMappingURL=DraggableGridView.d.ts.map