import { MOVEMENT } from './models';
declare const _default: <T>({ data, propsItemHeight, propsItemWidth, debounce, numColumns, onEndDrag: propsOnEndDrag, onStartDrag: propsOnStartDrag }: {
    data: T[];
    debounce?: number | undefined;
    propsItemHeight?: number | undefined;
    propsItemWidth?: number | undefined;
    numColumns: number | undefined;
    onEndDrag: (orderedData: T[], from: number, to: number) => void;
    onStartDrag?: (index: number) => void;
}) => {
    isLock: boolean;
    isDragging: boolean;
    count: number;
    animDirectionArray: MOVEMENT[];
    isEnableScroll: boolean;
    itemWidth: number;
    itemHeight: number;
    sectionWidth: number;
    sectionHeight: number;
    lockTouch: () => void;
    unlockTouch: () => void;
    onStartDrag: (index: number) => void;
    updateDragToIndex: (index: number | undefined) => void;
    onEndDrag: (from: number, to: number) => void;
};
export default _default;
//# sourceMappingURL=useDraggableGridViewHooks.d.ts.map